Open CASCADE Technology: StepGeom_TrimmedCurve Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepGeom_TrimmedCurve Class Reference

`#include <StepGeom_TrimmedCurve.hxx>`

Inheritance diagram for StepGeom_TrimmedCurve:
[legend]

## Public Member Functions
| StepGeom_TrimmedCurve ()
| Returns a TrimmedCurve. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< StepGeom_Curve > &aBasisCurve, const Handle< StepGeom_HArray1OfTrimmingSelect > &aTrim1, const Handle< StepGeom_HArray1OfTrimmingSelect > &aTrim2, const Standard_Boolean aSenseAgreement, const StepGeom_TrimmingPreference aMasterRepresentation)
void | SetBasisCurve (const Handle< StepGeom_Curve > &aBasisCurve)
Handle< StepGeom_Curve > | BasisCurve () const
void | SetTrim1 (const Handle< StepGeom_HArray1OfTrimmingSelect > &aTrim1)
Handle < StepGeom_HArray1OfTrimmingSelect > | Trim1 () const
StepGeom_TrimmingSelect | Trim1Value (const Standard_Integer num) const
Standard_Integer | NbTrim1 () const
void | SetTrim2 (const Handle< StepGeom_HArray1OfTrimmingSelect > &aTrim2)
Handle < StepGeom_HArray1OfTrimmingSelect > | Trim2 () const
StepGeom_TrimmingSelect | Trim2Value (const Standard_Integer num) const
Standard_Integer | NbTrim2 () const
void | SetSenseAgreement (const Standard_Boolean aSenseAgreement)
Standard_Boolean | SenseAgreement () const
void | SetMasterRepresentation (const StepGeom_TrimmingPreference aMasterRepresentation)
StepGeom_TrimmingPreference | MasterRepresentation () const
Public Member Functions inherited from StepGeom_BoundedCurve
| StepGeom_BoundedCurve ()
| Returns a BoundedCurve. More...
Public Member Functions inherited from StepGeom_Curve
| StepGeom_Curve ()
| Returns a Curve. More...
Public Member Functions inherited from StepGeom_GeometricRepresentationItem
| StepGeom_GeometricRepresentationItem ()
| Returns a GeometricRepresentationItem. More...
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepGeom_TrimmedCurve::StepGeom_TrimmedCurve | ( |  | ) |

Returns a TrimmedCurve.

## Member Function Documentation

Handle< StepGeom_Curve > StepGeom_TrimmedCurve::BasisCurve | ( |  | ) | const

virtual void StepGeom_TrimmedCurve::Init | ( | const Handle< TCollection_HAsciiString > & | aName | ) |
| virtual

Reimplemented from StepRepr_RepresentationItem.

virtual void StepGeom_TrimmedCurve::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Handle< StepGeom_Curve > & | aBasisCurve,
|  | const Handle< StepGeom_HArray1OfTrimmingSelect > & | aTrim1,
|  | const Handle< StepGeom_HArray1OfTrimmingSelect > & | aTrim2,
|  | const Standard_Boolean | aSenseAgreement,
|  | const StepGeom_TrimmingPreference | aMasterRepresentation
| ) |  |
| virtual

StepGeom_TrimmingPreference StepGeom_TrimmedCurve::MasterRepresentation | ( |  | ) | const

Standard_Integer StepGeom_TrimmedCurve::NbTrim1 | ( |  | ) | const

Standard_Integer StepGeom_TrimmedCurve::NbTrim2 | ( |  | ) | const

Standard_Boolean StepGeom_TrimmedCurve::SenseAgreement | ( |  | ) | const

void StepGeom_TrimmedCurve::SetBasisCurve | ( | const Handle< StepGeom_Curve > & | aBasisCurve | ) |

void StepGeom_TrimmedCurve::SetMasterRepresentation | ( | const StepGeom_TrimmingPreference | aMasterRepresentation | ) |

void StepGeom_TrimmedCurve::SetSenseAgreement | ( | const Standard_Boolean | aSenseAgreement | ) |

void StepGeom_TrimmedCurve::SetTrim1 | ( | const Handle< StepGeom_HArray1OfTrimmingSelect > & | aTrim1 | ) |

void StepGeom_TrimmedCurve::SetTrim2 | ( | const Handle< StepGeom_HArray1OfTrimmingSelect > & | aTrim2 | ) |

Handle< StepGeom_HArray1OfTrimmingSelect > StepGeom_TrimmedCurve::Trim1 | ( |  | ) | const

StepGeom_TrimmingSelect StepGeom_TrimmedCurve::Trim1Value | ( | const Standard_Integer | num | ) | const

Handle< StepGeom_HArray1OfTrimmingSelect > StepGeom_TrimmedCurve::Trim2 | ( |  | ) | const

StepGeom_TrimmingSelect StepGeom_TrimmedCurve::Trim2Value | ( | const Standard_Integer | num | ) | const

The documentation for this class was generated from the following file:

- StepGeom_TrimmedCurve.hxx